| kspaceFirstOrder3D-OMP 1.1 The C++ implementation of the k-wave toolbox for the time-domain simulation of acoustic wave fields in 3D

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Friends Pages
Public Member Functions | List of all members
TBaseMatrix Class Referenceabstract

Abstract base class, the common ancestor defining the common interface and allowing derived classes to be allocated, freed and loaded from the file using the Matrix container. More...

`#include <BaseMatrix.h>`

Inheritance diagram for TBaseMatrix:
[legend]

## Public Member Functions
| TBaseMatrix ()
| Default constructor.
virtual struct TDimensionSizes | GetDimensionSizes () const =0
| Get dimension sizes of the matrix.
virtual size_t | GetTotalElementCount () const =0
| Get total element count of the matrix.
virtual size_t | GetTotalAllocatedElementCount () const =0
| Get total allocated element count (might differ from the total element count used for the simulation because of e.g. padding).
virtual void | ReadDataFromHDF5File (THDF5_File &HDF5_File, const char *MatrixName)=0
| Read matrix from the HDF5 file. More...
virtual void | WriteDataToHDF5File (THDF5_File &HDF5_File, const char *MatrixName, const size_t CompressionLevel)=0
| Write data into the HDF5 file. More...
virtual | ~TBaseMatrix ()
| Destructor.

## Detailed Description

Abstract base class, the common ancestor defining the common interface and allowing derived classes to be allocated, freed and loaded from the file using the Matrix container.

Definition at line 52 of file BaseMatrix.h.

## Member Function Documentation

virtual void TBaseMatrix::ReadDataFromHDF5File | ( | THDF5_File & | HDF5_File,
|  | const char * | MatrixName
| ) |  |
| pure virtual

Read matrix from the HDF5 file

Parameters

  [in] | HDF5_File | - Handle to the HDF5 file
  [in] | MatrixName | - HDF5 dataset name to read from

Implemented in TComplexMatrix, TIndexMatrix, and TRealMatrix.

virtual void TBaseMatrix::WriteDataToHDF5File | ( | THDF5_File & | HDF5_File,
|  | const char * | MatrixName,
|  | const size_t | CompressionLevel
| ) |  |
| pure virtual

Write data into the HDF5 file

Parameters

  [in] | HDF5_File | - Handle to the HDF5 file
  [in] | MatrixName | - HDF5 dataset name to write to
  [in] | CompressionLevel | - Compression level for the HDF5 dataset

Implemented in TComplexMatrix, TIndexMatrix, and TRealMatrix.

The documentation for this class was generated from the following file:

- MatrixClasses/BaseMatrix.h